=== modified file 'lava_test/test_definitions/bluetooth_enablement.py'
--- lava_test/test_definitions/bluetooth_enablement.py	2012-09-19 17:11:20 +0000
+++ lava_test/test_definitions/bluetooth_enablement.py	2012-09-20 15:24:10 +0000
@@ -32,7 +32,6 @@
 
 DEFAULT_OPTIONS = ""
 BZR_REPOS = ["lp:~linaro-foundations/linaro-ubuntu/lava-test-bt-enablement"]
-INSTALLSTEPS = []
 DEPS = ["bzr", "bluez"]
 RUNSTEPS = ["cd lava-test-bt-enablement; sudo bash -x ./run-test.sh"]
 PATTERN = "(?P<test_case_id>[a-zA-Z0-9_-]+):\s(?P<result>\w+)"
@@ -41,7 +40,7 @@
     "FAIL": "fail"
 }
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS, bzr_repos=BZR_REPOS)
+installer = TestInstaller(deps=DEPS, bzr_repos=BZR_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, fixupdict=FIXUPS)
 

=== modified file 'lava_test/test_definitions/bootchart.py'
--- lava_test/test_definitions/bootchart.py	2012-09-19 17:11:20 +0000
+++ lava_test/test_definitions/bootchart.py	2012-09-20 15:24:10 +0000
@@ -30,12 +30,11 @@
 
 DEFAULT_OPTIONS = ""
 BZR_REPOS = ['lp:~linaro-foundations/lava-test/bootchartscript']
-INSTALLSTEPS = []
 DEPS = ['bootchart', 'pybootchartgui', 'bzr']
 RUNSTEPS = ['./bootchartscript/bootchartscript.sh $(OPTIONS)']
 PATTERN = "^(?P<test_case_id>\w+):\W+(?P<measurement>\d+\.\d+)"
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS, bzr_repos=BZR_REPOS)
+installer = TestInstaller(deps=DEPS, bzr_repos=BZR_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, appendall={'units': 'sec', 'result': 'pass'})
 

=== modified file 'lava_test/test_definitions/device_tree.py'
--- lava_test/test_definitions/device_tree.py	2012-09-20 15:12:46 +0000
+++ lava_test/test_definitions/device_tree.py	2012-09-20 15:24:10 +0000
@@ -30,7 +30,6 @@
 
 DEFAULT_OPTIONS = ""
 BZR_REPOS = ["lp:~linaro-foundations/linaro-ubuntu/lava-test-device-tree"]
-INSTALLSTEPS = []
 DEPS = ["bzr"]
 RUNSTEPS = ["cd lava-test-device-tree; sudo bash -x ./run-test.sh"]
 PATTERN = "(?P<test_case_id>[a-zA-Z0-9_-]+):\s(?P<result>\w+)"
@@ -39,7 +38,7 @@
     "FAIL": "fail"
 }
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS, bzr_repos=BZR_REPOS)
+installer = TestInstaller(deps=DEPS, bzr_repos=BZR_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, fixupdict=FIXUPS)
 

=== modified file 'lava_test/test_definitions/firefox.py'
--- lava_test/test_definitions/firefox.py	2012-09-19 04:40:25 +0000
+++ lava_test/test_definitions/firefox.py	2012-09-20 15:24:10 +0000
@@ -29,14 +29,13 @@
 DEFAULT_OPTIONS = ""
 
 GIT_REPOS = ['git://github.com/janimo/firefox-startup-timing.git']
-INSTALLSTEPS = []
 DEPS = ['firefox', 'git-core', 'gcalctool']
 RUNSTEPS = [(
     'cd firefox-startup-timing;'
     ' ./firefox_startup_timing.sh $(OPTIONS)')]
 PATTERN = "^(?P<test_case_id>\w+):(?P<measurement>\d+)"
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS, git_repos=GIT_REPOS)
+installer = TestInstaller(deps=DEPS, git_repos=GIT_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, appendall={'units': 'ms', 'result': 'pass'})
 

=== modified file 'lava_test/test_definitions/gatortests.py'
--- lava_test/test_definitions/gatortests.py	2012-06-11 16:51:40 +0000
+++ lava_test/test_definitions/gatortests.py	2012-09-20 15:24:10 +0000
@@ -23,7 +23,6 @@
 from lava_test.core.runners import TestRunner
 from lava_test.core.tests import Test
 
-INSTALLSTEPS = ['']
 DEPS = ['gatortests']
 
 RUNSTEPS = ["gatortests"]
@@ -31,7 +30,7 @@
 
 PATTERN = "^\*\*\*(?P<test_case_id>\w+):\s(?P<result>\w+)\*\*\*"
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS)
+installer = TestInstaller(deps=DEPS)
 runner = TestRunner(RUNSTEPS,default_options=DEFAULT_OPTIONS)
 parser = TestParser(pattern=PATTERN)
 

=== modified file 'lava_test/test_definitions/leb_basic_graphics.py'
--- lava_test/test_definitions/leb_basic_graphics.py	2012-09-19 17:11:20 +0000
+++ lava_test/test_definitions/leb_basic_graphics.py	2012-09-20 15:24:10 +0000
@@ -31,7 +31,6 @@
 
 DEFAULT_OPTIONS = ""
 BZR_REPOS = ["lp:~linaro-foundations/linaro-ubuntu/lava-test-basic-graphics"]
-INSTALLSTEPS = []
 DEPS = ["bzr", "mesa-utils-extra", "ubuntu-desktop"]
 RUNSTEPS = ["cd lava-test-basic-graphics; sudo bash -x ./run-test.sh"]
 PATTERN = "(?P<test_case_id>[a-zA-Z0-9_-]+):\s(?P<result>\w+)"
@@ -40,7 +39,7 @@
     "FAIL": "fail"
 }
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS, bzr_repos=BZR_REPOS)
+installer = TestInstaller(deps=DEPS, bzr_repos=BZR_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, fixupdict=FIXUPS)
 

=== modified file 'lava_test/test_definitions/perf.py'
--- lava_test/test_definitions/perf.py	2012-09-19 17:11:20 +0000
+++ lava_test/test_definitions/perf.py	2012-09-20 15:24:10 +0000
@@ -30,7 +30,6 @@
 DEFAULT_OPTIONS = ""
 DEPS = ["bzr", "linux-tools", "stress-dbgsym"]
 BZR_REPOS = ["lp:~linaro-maintainers/lava-test/lava-test-perf"]
-INSTALLSTEPS = []
 RUNSTEPS = ["./lava-test-perf/run-perf-test.sh"]
 PATTERN = "^(?P<test_case_id>perf[\w\s-]+)\s+:\s+(?P<result>\w+)"
 FIXUPS = {
@@ -38,7 +37,7 @@
     "FAIL": "fail"
 }
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS, bzr_repos=BZR_REPOS)
+installer = TestInstaller(deps=DEPS, bzr_repos=BZR_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, fixupdict=FIXUPS)
 

=== modified file 'lava_test/test_definitions/wifi_enablement.py'
--- lava_test/test_definitions/wifi_enablement.py	2012-09-19 17:11:20 +0000
+++ lava_test/test_definitions/wifi_enablement.py	2012-09-20 15:24:10 +0000
@@ -32,7 +32,6 @@
 
 DEFAULT_OPTIONS = ""
 BZR_REPOS = ["lp:~linaro-foundations/linaro-ubuntu/lava-test-wifi-enablement"]
-INSTALLSTEPS = []
 DEPS = [
     "bzr",
     "wpasupplicant",
@@ -46,7 +45,7 @@
     "FAIL": "fail"
 }
 
-installer = TestInstaller(INSTALLSTEPS, deps=DEPS, bzr_repos=BZR_REPOS)
+installer = TestInstaller(deps=DEPS, bzr_repos=BZR_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, fixupdict=FIXUPS)
 

=== modified file 'lava_test/test_definitions/xrestop.py'
--- lava_test/test_definitions/xrestop.py	2012-09-19 17:11:20 +0000
+++ lava_test/test_definitions/xrestop.py	2012-09-20 15:24:10 +0000
@@ -27,12 +27,11 @@
 from lava_test.core.tests import Test
 
 BZR_REPOS = ['lp:~linaro-foundations/lava-test/xrestopscript']
-INSTALLSTEPS = []
 RUNSTEPS = ["./xrestopscript/xrestop.sh $(OPTIONS)"]
 PATTERN = "^(?P<test_case_id>\w+):\W+(?P<measurement>\d+)"
 DEFAULT_OPTIONS = ""
 
-installer = TestInstaller(INSTALLSTEPS, deps=["xrestop"], bzr_repos=BZR_REPOS)
+installer = TestInstaller(deps=["xrestop"], bzr_repos=BZR_REPOS)
 runner = TestRunner(RUNSTEPS, default_options=DEFAULT_OPTIONS)
 parser = TestParser(PATTERN, appendall={'units': 'KB', 'result': 'pass'})
 